Name: soundmodem
Version: 0.10
Release: 2%{?dist}
Summary: Soundcard Packet Radio Modem
Group: Applications/Communications
License: GPLv2+
URL: http://www.baycom.org/~tom/ham/soundmodem/
Source: http://www.baycom.org/~tom/ham/soundmodem/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# Requires: /sbin/ifconfig /sbin/route /sbin/arp
BuildRequires: gtk+-devel
BuildRequires: alsa-lib-devel
BuildRequires: libxml-devel
BuildRequires: audiofile-devel

%description
This package contains the driver and the diagnostic utility for
userspace SoundModem. It allows you to use soundcards 
as Amateur Packet Radio modems.

%package devel

Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure 
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall
find %{buildroot} -name '*.la' -exec rm -f {} ';'
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sysconfdir}/{ax25,rc.d/init.d}
sed "s/# chk.*/# chkconfig: - 50 50/g" soundmodem.initscript > %{buildroot}soundmodem.initscript
install -m 755 %{buildroot}soundmodem.initscript %{buildroot}%{_sysconfdir}/rc.d/init.d/soundmodem

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add soundmodem

%preun
if [ $1 = 0 ]; then
 /sbin/service soundmodem stop > /dev/null 2>&1
 /sbin/chkconfig --del soundmodem
fi

%files
%defattr(-, root, root, -)
%{_prefix}/sbin/*
%{_prefix}/bin/*
%{_prefix}/share/man/*/*
%{_sysconfdir}/rc.d/init.d/soundmodem
%doc AUTHORS COPYING ChangeLog NEWS README newqpsk/README.newqpsk

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%doc AUTHORS COPYING ChangeLog NEWS README newqpsk/README.newqpsk

%changelog
* Thu Jul 17 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10-2
- Description update

* Fri Jul 11 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10-1
- Initial spec file

